scrub-obsolete Package - ksnakeduel

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/ksnakeduel scrub-obsolete/main

Diff

diff --git a/debian/changelog b/debian/changelog
index 8cf8fc2..26ae24e 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+ksnakeduel (4:20.12.1-2) UNRELEASED; urgency=medium
+
+  * Remove constraints unnecessary since stretch:
+    + Build-Depends: Drop versioned constraint on cmake, pkg-kde-tools.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Tue, 19 Jan 2021 21:13:28 -0000
+
 ksnakeduel (4:20.12.1-1) unstable; urgency=medium
 
   * Team upload.
diff --git a/debian/control b/debian/control
index 9dc4daf..d03ee20 100644
--- a/debian/control
+++ b/debian/control
@@ -9,7 +9,7 @@ Uploaders: Daniel Schepler <schepler@debian.org>,
            Eshat Cakar <info@eshat.de>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
-Build-Depends: cmake (>= 3.5.0~),
+Build-Depends: cmake,
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.57.0~),
                gettext,
@@ -26,7 +26,7 @@ Build-Depends: cmake (>= 3.5.0~),
                libkf5widgetsaddons-dev (>= 5.57.0~),
                libkf5xmlgui-dev (>= 5.57.0~),
                libqt5svg5-dev (>= 5.10.0~),
-               pkg-kde-tools (>= 0.14),
+               pkg-kde-tools,
                qtbase5-dev (>= 5.10.0~),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no

Run locally

Try this locally (using the lintian-brush package):

debcheckout ksnakeduel
cd ksnakeduel
deb-scrub-obsolete

More details

Full run details